#English strings go here
hr:
  plugin_openproject_storages:
    name: "Nepenthes Storages"
    description: "Allows linking work packages to files in external storages, such as Nextcloud."
  permission_view_file_links: "View file links"
  permission_manage_file_links: "Manage file links"
  permission_manage_storages_in_project: "Manage file storages in project"
  permission_read_files: "Read files"
  permission_write_files: "Write files"
  permission_create_files: "Create files"
  permission_delete_files: "Delete files"
  permission_share_files: "Share files"
  project_module_storages: "File storages"
  errors:
    attributes:
      storage_error:
        not_authorized: "Not authorized for external connection to storage."
        not_found: "The requested resource could not be found at the external file storage."
  activerecord:
    models:
      file_link: "File"
      storages/storage: "Storage"
    attributes:
      storages/storage:
        name: "Naziv"
        creator: "Creator"
        provider_type: "Provider type"
        host: "Host"
      storages/file_link:
        origin_id: "Origin Id"
    errors:
      messages:
        not_linked_to_project: "is not linked to project."
      models:
        storages/project_storage:
          attributes:
            project_folder_mode:
              mode_unavailable: "is not available for this storage."
        storages/storage:
          attributes:
            host:
              cannot_be_connected_to: "can not be connected to."
              minimal_nextcloud_version_unmet: "does not meet minimal version requirements (must be Nextcloud 23 or higher)"
              not_nextcloud_server: "is not a Nextcloud server"
              op_application_not_installed: >
                appears to not have the app "OpenProject integration" installed. Please install it first and then try again.
              authorization_header_missing: >
                is not fully set up. The Nextcloud instance does not receive the "Authorization" header, which is necessary for a Bearer token based authorization of API requests. Please double check your HTTP server configuration.
            password:
              invalid_password: "is not valid."
              unknown_error: "could not be validated. Please check your storage connection and try again."
        storages/file_link:
          attributes:
            origin_id:
              only_numeric_or_uuid: "can only be numeric or uuid."
  api_v3:
    errors:
      too_many_elements_created_at_once: "Too many elements created at once. Expected %{max} at most, got %{actual}."
  storages:
    default_name: "My storage"
    unknown_storage: "Unknown storage"
    buttons:
      done_continue: "Done, continue"
      done_continue_setup: "Done. Continue setup"
      done_complete_setup: "Done, complete setup"
      edit_automatically_managed_project_folders: "Edit automatically managed project folders"
      replace_openproject_oauth: "Replace OpenProject OAuth"
      replace_provider_type_oauth: "Replace %{provider_type} OAuth"
      save: "Save"
      save_and_continue: "Save and continue"
      save_and_continue_setup: "Save and continue setup"
      save_and_complete_setup: "Save and complete setup"
      select_folder: "Select folder"
      configure: "Configure"
    file_storage_view:
      general_information: "General information"
      oauth_applications: "OAuth applications"
      project_folders: "Project folders"
      storage_provider: "Storage provider"
      openproject_oauth: "OpenProject OAuth"
      nextcloud_oauth: "Nextcloud OAuth"
      automatically_managed_folders: "Automatically managed folders"
    page_titles:
      file_storages:
        subtitle: "Add an external file storage in order to upload, link and manage files in work packages."
      managed_project_folders:
        title: "Automatically managed project folders"
        subtitle_short: "Let OpenProject create folders per project automatically."
        subtitle: >
          Let OpenProject create folders per project automatically. This is recommended as it ensures that every team member always has the correct access permissions.
      project_settings:
        index: "File storages available in this project"
        new: "Add a file storage to this project"
        edit: "Edit the file storage to this project"
        delete: "Delete file storage"
        members_connection_status: "Members connection status"
      project_storage_members:
        title: "Members connection status"
        subtitle: "Check the connection status for the storage %{storage_name_link} of all project members."
    instructions:
      provider_type: "Please make sure you have administration privileges in your Nextcloud instance and the application %{type_link_text} is installed before doing the setup."
      type: "Please make sure you have administration privileges in your Nextcloud instance and have the following application installed before doing the setup:"
      type_link_text: "“Integration OpenProject”"
      name: "Give your storage a name so that users can differentiate between multiple storages."
      host: "Please add the host address of your storage including the https://. It should not be longer than 255 characters."
      managed_project_folders_application_password: >
        Copy this value from:
      managed_project_folders_application_password_caption: "Enable automatic managed folders by copying this value from: %{provider_type_link}."
      no_storage_set_up: "There are no file storages set up yet."
      no_specific_folder: "By default, each user will start at their own home folder when they upload a file."
      automatic_folder: "This will automatically create a root folder for this project and manage the access permissions for each project member."
      empty_project_folder_validation: "Selecting a folder is mandatory to proceed."
      not_logged_into_storage: "To select a project folder, please first login"
      existing_manual_folder: >
        You can designate an existing folder as the root folder for this project. The permissions are however not automatically managed, the administrator needs to manually ensure relevant users have access. The selected folder can be used by multiple projects.
      setting_up_additional_storages: "For setting up additional file storages, please visit"
      setting_up_additional_storages_non_admin: "Administrators can set up additional file storages in Administration / File Storages."
      setting_up_storages: "For setting up file storages, please visit"
      setting_up_storages_non_admin: "Administrators can set up file storages in Administration / File Storages."
      all_available_storages_already_added: "All available storages are already added to the project."
      oauth_application_details: "The client secret value will not be accessible again after you close this window. Please copy these values into the %{oauth_application_details_link}."
      oauth_application_details_link_text: "Nextcloud OpenProject Integration settings"
      copy_from: "Copy this value from"
      nextcloud:
        integration: "Nextcloud Administration / OpenProject"
      one_drive:
        integration: "OneDrive/SharePoint"
        oauth_client_id: >
          Copy the client id from the Azure portal. This is needed to generate the redirect URI.
        oauth_client_secret: >
          Copy the client secret from the Azure portal. For a newly created application the secret first needs to be created manually. For authorization of web applications a secret is mandatory.
        missing_client_id_for_redirect_uri: "Client ID missing to provide redirect URI."
        tenant_id: >
          Please insert the tenant ID you got from your SharePoint administrator.
        drive_id: >
          The drive ID can be obtained by you SharePoint administrator.
    help_texts:
      project_folder: >
        The project folder is the default folder for file uploads for this project. Users can nevertheless still upload files to other locations.
    configuration_checks:
      incomplete: "The setup of this storage is incomplete."
      oauth_client_incomplete: "Allow OpenProject to access %{provider} data using an OAuth."
    delete_warning:
      storage: >
        Are you sure you want to delete this storage? This will also delete the storage from all projects where it is used. Further, it will also delete all links from work packages to files that are stored in that storage.
      project_storage: >
        Are you sure you want to delete %{file_storage} from this project? To confirm this action please introduce the storage name in the field below, this will:
      project_storage_delete_result_1: "Remove all links from work packages of this project to files and folders of that storage."
      project_storage_delete_result_2: "In case this storage has an automatically managed project folder, this and its files will be deleted forever."
      input_delete_confirmation: "Enter the file storage name %{file_storage} to confirm deletion."
      irreversible_notice: "Deleting a file storage is an irreversible action."
    storage_list_blank_slate:
      heading: "You don't have any storages yet."
      description: "Add a storage to see them here."
    label_active: "Active"
    label_add_new_storage: "Add new storage"
    label_delete_storage: "Delete storage"
    label_inactive: "Inactive"
    label_creator: "Creator"
    label_provider: "Provider"
    label_file_link: "File link"
    label_file_links: "File links"
    label_creation_time: "Creation time"
    label_connected: "Connected"
    label_incomplete: "Incomplete"
    label_name: "Naziv"
    label_host: "Host URL"
    label_managed_project_folders:
      automatically_managed_folders: "Automatically managed folders"
      application_password: "Application password"
    label_managed_project_folders_breadcrumb: "Automatically managed project folders"
    label_oauth_breadcrumb:
      openproject: "OpenProject OAuth"
      nextcloud: "Nextcloud OAuth"
      one_drive: "OneDrive OAuth"
    label_oauth_application_details: "OAuth application details"
    label_oauth_client_details: "OAuth client details"
    label_openproject_oauth_application_id: "OpenProject OAuth Client ID"
    label_openproject_oauth_application_secret: "OpenProject OAuth Client Secret"
    label_oauth_client_id: "OAuth Client ID"
    label_oauth_client_secret: "OAuth Client Secret"
    label_information: "Additional information"
    label_provider_type: "Provider type"
    label_project_folder: "Project folder"
    label_new_storage: "New storage"
    label_edit_storage: "Edit storage"
    label_edit_storage_host: "Edit storage host"
    label_edit_storage_oauth_client: "Edit storage OAuth client"
    label_edit_storage_automatically_managed_folders: "Edit storage automatically managed folders"
    label_existing_manual_folder: "Existing folder with manually managed permissions"
    label_no_specific_folder: "No specific folder"
    label_automatic_folder: "New folder with automatically managed permissions"
    label_no_selected_folder: "No selected folder"
    label_storage: "Storage"
    label_storages: "Storages"
    label_status: "Status"
    label_files: "Files"
    member_connection_status:
      connected: "Connected"
      connected_no_permissions: "User role has no storages permissions"
      not_connected: "Not connected. The user should login to the storage via the %{files_label} tab of a work package to connect."
    no_results: "No storages set up yet."
    members_no_results: "No members to display."
    provider_types:
      label: "Provider type"
      nextcloud:
        name: "Nextcloud"
        name_placeholder: "e.g. Nextcloud"
      one_drive:
        name: "OneDrive/SharePoint"
        name_placeholder: "e.g. OneDrive"
    confirm_replace_oauth_application: "Are you sure? All users will have to authorize again against OpenProject."
    confirm_replace_oauth_client: "Are you sure? All users will have to authorize again against the storage."
    oauth_client_details_missing: "To complete the setup, please add OAuth client credentials from your storage."
    automatically_managed_project_folder_missing: "To complete the setup, please configure automatically managed project folders for your storage."
    notice_oauth_application_replaced: "The OpenProject OAuth application was successfully replaced."
